org.activiti.engine.delegate.event.impl

## Class ActivitiMessageEventImpl

- java.lang.Object
- - org.activiti.engine.delegate.event.impl.ActivitiEventImpl
  - - org.activiti.engine.delegate.event.impl.ActivitiActivityEventImpl
    - - org.activiti.engine.delegate.event.impl.ActivitiMessageEventImpl

- All Implemented Interfaces:
    ActivitiActivityEvent, ActivitiEvent, ActivitiMessageEvent

      public class ActivitiMessageEventImpl
      extends ActivitiActivityEventImpl
      implements ActivitiMessageEvent

  An `ActivitiSignalEvent` implementation.
  Author:
    Frederik Heremans

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `messageData`
    `protected String` | `messageName`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiActivityEventImpl

      `activityId, activityName, activityType, behaviorClass`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `executionId, processDefinitionId, processInstanceId, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiMessageEventImpl(ActivitiEventType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getMessageData()`
    `String` | `getMessageName()`
    `void` | `setMessageData(Object messageData)`
    `void` | `setMessageName(String messageName)`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiActivityEventImpl

      `getActivityId, getActivityName, getActivityType, getBehaviorClass, setActivityId, setActivityName, setActivityType, setBehaviorClass`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiActivityEvent

      `getActivityId, getActivityName, getActivityType, getBehaviorClass`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiEvent

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType`

- - ### Field Detail

    - #### messageName

          protected String messageName

    - #### messageData

          protected Object messageData

  - ### Constructor Detail

    - #### ActivitiMessageEventImpl

          public ActivitiMessageEventImpl(ActivitiEventType type)

  - ### Method Detail

    - #### setMessageName

          public void setMessageName(String messageName)

    - #### getMessageName

          public String getMessageName()

      Specified by:
        `getMessageName` in interface `ActivitiMessageEvent`
      Returns:
        the name of the message.

    - #### setMessageData

          public void setMessageData(Object messageData)

    - #### getMessageData

          public Object getMessageData()

      Specified by:
        `getMessageData` in interface `ActivitiMessageEvent`
      Returns:
        the payload that was passed when sending the message. Returns null, if no payload was passed.

Copyright © 2016 Alfresco. All rights reserved.